org.apache.tapestry5.internal.services

## Class HiddenFieldLocationRulesImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.HiddenFieldLocationRulesImpl

- All Implemented Interfaces:
    HiddenFieldLocationRules

      public class HiddenFieldLocationRulesImpl
      extends Object
      implements HiddenFieldLocationRules

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HiddenFieldLocationRulesImpl(Map<String,RelativeElementPosition> configuration)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `placeHiddenFieldAfter(Element element)` Checks the element to see if a hidden field may be placed after the element (as a sibling element).
    `boolean` | `placeHiddenFieldInside(Element element)` Checks the element to see if a hidden field may be placed inside the element.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HiddenFieldLocationRulesImpl

          public HiddenFieldLocationRulesImpl(Map<String,RelativeElementPosition> configuration)

  - ### Method Detail

    - #### placeHiddenFieldInside

          public boolean placeHiddenFieldInside(Element element)

      Description copied from interface: `HiddenFieldLocationRules`
      Checks the element to see if a hidden field may be placed inside the element.
      Specified by:
        `placeHiddenFieldInside` in interface `HiddenFieldLocationRules`

    - #### placeHiddenFieldAfter

          public boolean placeHiddenFieldAfter(Element element)

      Description copied from interface: `HiddenFieldLocationRules`
      Checks the element to see if a hidden field may be placed after the element (as a sibling element).
      Specified by:
        `placeHiddenFieldAfter` in interface `HiddenFieldLocationRules`

5.6.0 - Copyright © 2003-2020 The Apache Software Foundation.